import alternationReceiveIndex from '@/page/grainReserves/alternationPlanManage/alternationImple/alternationReceive/index.vue'
import alternationReceiveDetail from '@/page/grainReserves/alternationPlanManage/alternationImple/alternationReceive/detail.vue'
import alternationSummaryType from '@/page/grainReserves/alternationPlanManage/alternationImple/alternationSummaryType/index.vue'
import alternationSummaryTypeDetailOne from '@/page/grainReserves/alternationPlanManage/alternationImple/alternationSummaryType/detailOne.vue'
import alternationSummaryTypeDetailTwo from '@/page/grainReserves/alternationPlanManage/alternationImple/alternationSummaryType/detailTwo.vue'
import alternationSummaryTypeDetailThr from '@/page/grainReserves/alternationPlanManage/alternationImple/alternationSummaryType/detailThr.vue'
import alternationSummaryRegion from '@/page/grainReserves/alternationPlanManage/alternationImple/alternationSummaryRegion/index.vue'
import alternationSummaryRegionDetail from '@/page/grainReserves/alternationPlanManage/alternationImple/alternationSummaryRegion/detail.vue'

export default [
    {
        //  轮换执行接收
        path: '/grainReserves/alternationReceive/index',
        name: 'alternationReceive',
        component: alternationReceiveIndex,
        meta: {
            title: '轮换执行接收'
        }
    },
    {
        //  轮换执行接收详情
        path: '/grainReserves/alternationReceive/detail',
        name: 'alternationReceiveDetail',
        component: alternationReceiveDetail,
        meta: {
            title: '详情'
        }
    },
    {
        //  轮换执行汇总(分品种)
        path: '/grainReserves/alternationSummaryType/index',
        name: 'alternationSummaryType',
        component: alternationSummaryType,
        meta: {
            title: '轮换执行接收(分品种)'
        }
    },
    {
        //  轮换执行汇总(分品种)详情1
        path: '/grainReserves/alternationSummaryType/detailOne',
        name: 'alternationSummaryTypeDetailOne',
        component: alternationSummaryTypeDetailOne,
        meta: {
            title: '详情'
        }
    },
    {
        //  轮换执行汇总(分品种)详情2
        path: '/grainReserves/alternationSummaryType/detailTwo',
        name: 'alternationSummaryTypeDetailTwo',
        component: alternationSummaryTypeDetailTwo,
        meta: {
            title: '详情'
        }
    },
    {
        //  轮换执行汇总(分品种)详情3
        path: '/grainReserves/alternationSummaryType/detailThr',
        name: 'alternationSummaryTypeDetailThr',
        component: alternationSummaryTypeDetailThr,
        meta: {
            title: '详情'
        }
    },
    {
        //  轮换执行汇总(分地区)
        path: '/grainReserves/alternationSummaryRegion/index',
        name: 'alternationSummaryRegion',
        component: alternationSummaryRegion,
        meta: {
            title: '轮换执行接收(分地区)'
        }
    },
    {
        //  轮换执行汇总(分地区)
        path: '/grainReserves/alternationSummaryRegion/detail',
        name: 'alternationSummaryRegionDetail',
        component: alternationSummaryRegionDetail,
        meta: {
            title: '轮换执行接收(分地区)'
        }
    },
    
]