import alternationApproval from './alternationApproval.js'
import alternationFormulation from './alternationFormulation.js'
import alternationImple from './alternationImple/index.js'
import overheadSearch from '@/page/grainReserves/alternationPlanManage/overheadSearch/index.vue'
import alterCheckAccept from '@/page/grainReserves/alternationPlanManage/alterCheckAccept/index.vue'
import alterPreCheckAccept from '@/page/grainReserves/alternationPlanManage/alterPreCheckAccept/index.vue'
import alterPreCheckAcceptDetails from '@/page/grainReserves/alternationPlanManage/alterPreCheckAccept/details.vue'
export default [
    {
        //轮换审批（逐级审批 旗县，盟市，自治区）
        path: '/alternationApproval/index',
        name: 'alternationApproval',
        meta: {
            title: '轮换审批'
        },
        component: {
            render(c) {
                return c('router-view')
            }
        },
        children: alternationApproval
    }, {
        // 轮换计划制定
        path: '/grainReserves/alternationFormulation/index',
        name: 'alternationFormulation',
        meta: {
            title: '轮换计划制定'
        },
        component: {
            render(c) {
                return c('router-view')
            }
        },
        children: alternationFormulation
    }, {
        // 架空期查询
        path: '/grainReserves/overheadSearch/index',
        name: 'overheadSearch',
        component: overheadSearch,
        meta: {
            title: '架空期查询'
        }
    },
    {
        // 轮换验收
        path: '/grainReserves/alterCheckAccept/index',
        name: 'alterCheckAccept',
        component: alterCheckAccept,
        meta: {
            title: '轮换验收'
        }
    },
    {
        // 轮换预验收
        path: '/grainReserves/alterPreCheckAccept/index',
        name: 'alterPreCheckAccept',
        component: alterPreCheckAccept,
        meta: {
            title: '轮换验收'
        }
    },
    {
        // 轮换预验收详情
        path: '/grainReserves/alterPreCheckAcceptDetails/index',
        name: 'alterPreCheckAcceptDetails',
        component: alterPreCheckAcceptDetails,
        meta: {
            title: '轮换验收'
        }
    },
    {
        // 轮换计划执行 子目录
        path: '/alternationImple/index',
        name: 'alternationImple',
        component: {
            render(c) {
                return c('router-view')
            }
        },
        meta: {
            title: '轮换执行'
        },
        children: alternationImple
    }
]