import index from '@/page/grainCoManage/coInfoAudit/coRegAudit/index.vue'
import detail from '@/page/grainCoManage/coInfoAudit/coRegAudit/detail.vue'

import qyxxsh from '@/page/jcxxsh/qyxxsh.vue'
import qyxxAdd from '@/page/jcxxsh/qyxxAdd.vue'
import ssxxsh from '@/page/jcxxsh/ssxxsh.vue'
import cfxxsh from '@/page/jcxxsh/cfxxsh.vue'
import cfxxAdd from '@/page/jcxxsh/cfxxAdd.vue'
import qcxxsh from '@/page/jcxxsh/qcxxsh.vue'

export default {
	path: '/coInfoAudit',
	name: 'coInfoAudit',
	component: {
		render(c) {
			return c('router-view')
		}
	},
	meta: {
		title: '用户信息审核'
	},
	children: [
		{
			path: '/grainCoManage/coInfoAudit/coRegAudit/index',
			name: 'coRegAuditIndex',
			component: index,
			meta: {
				title: '企业注册审核'
			}
		},
		{
			path: '/grainCoManage/coInfoAudit/coRegAudit/detail',
			name: 'coRegAuditDetail',
			component: detail,
			meta: {
				title: '企业注册审核'
			}
		},
		{
			path: '/grainCoManage/coInfoAudit/jcxxsh/qyxxsh',
			name: 'qyxxsh',
			component: qyxxsh,
			meta: {
				title: '企业信息审核'
			}
		},
		{
			path: '/grainCoManage/coInfoAudit/jcxxsh/qyxxAdd',
			name: 'qyxxAdd',
			component: qyxxAdd,
			meta: {
				title: '企业信息维护'
			}
		},
		{
			path: '/grainCoManage/coInfoAudit/jcxxsh/ssxxsh',
			name: 'ssxxsh',
			component: ssxxsh,
			meta: {
				title: '设施信息审核'
			}
		},
		{
			path: '/grainCoManage/coInfoAudit/jcxxsh/cfxxsh',
			name: 'cfxxsh',
			component: cfxxsh,
			meta: {
				title: '仓房信息审核'
			}
		},
		{
			path: '/grainCoManage/coInfoAudit/jcxxsh/cfxxAdd',
			name: 'cfxxAdd',
			component: cfxxAdd,
			meta: {
				title: '仓房信息维护'
			}
		},
		{
			path: '/grainCoManage/coInfoAudit/jcxxsh/qcxxsh',
			name: 'qcxxsh',
			component: qcxxsh,
			meta: {
				title: '器材信息审核'
			}
		}
	]
}
