import index from '@/page/grainCoManage/enterpriseInformationBase/index.vue'
import details from '@/page/grainCoManage/enterpriseInformationBase/details.vue'
import edit from '@/page/grainCoManage/enterpriseInformationBase/edit.vue'
import add from '@/page/grainCoManage/enterpriseInformationBase/add.vue'
import audit from '@/page/grainCoManage/enterpriseInformationBase/audit.vue'
export default {
    // 用户管理
    path: '/enterpriseInformationBase',
    name: 'enterpriseInformationBase',
    component: {
        render(c) {
            return c('router-view')
        }
    },
    meta: {
        title: ''
    },
    children: [
        {
            path: '/grainCoManage/enterpriseInformationBase/index',
            name: 'enterpriseInformationBaseIndex',
            component: index,
            meta: {
                title: '企业信息库'
            }
        },
        {
            path: '/grainCoManage/enterpriseInformationBase/details',
            name: 'enterpriseInformationBaseDetails',
            component: details,
            meta: {
                title: '企业信息库-详情'
            }
        },
        {
            path: '/grainCoManage/enterpriseInformationBase/edit',
            name: 'enterpriseInformationBaseEdit',
            component: edit,
            meta: {
                title: '企业信息库-编辑'
            }
        },
        {
            path: '/grainCoManage/enterpriseInformationBase/add',
            name: 'enterpriseInformationBaseAdd',
            component: add,
            meta: {
                title: '企业信息库-新增'
            }
        },
        {
            path: '/grainCoManage/enterpriseInformationBase/audit',
            name: 'enterpriseInformationBaseAudit',
            component: audit,
            meta: {
                title: '企业信息库'
            }
        },
    ]
}
