import Vue from 'vue'
import Router from 'vue-router'
import index from '@/page/index'
import layout from '@/page/Layout/layout.vue'
// 用户管理
import userManage from './userManage'
//企业信息库
import enterpriseInformationBase from './enterpriseInformationBase'
//收购资格
import acquisitionQualification from './acquisitionQualification'
// 用户信息审核
import coInfoAudit from './coInfoAudit'
import warehousingLogistics from './warehousingLogistics'
//蒸熏备案管理
import zxbagl from './zxbagl'
import unitBasicInformationMaintenance from './unitBasicInformationMaintenance'
// 企业信用评价管理
import enterpriseCredit from './enterpriseCredit';
//企业信息查看
import qyxxck from './qyxxck';

//作业管理
import zygl from './zygl';
//.js


Vue.use(Router)

export default new Router({
  // mode:'history',
  routes: [
    {
      // 企业备案管理系统
      path: '/grainCoManage',
      name: 'index',
      component: index,
      children: [
        {
          path: '/grainCoManage',
          name: 'layout',
          component: layout,
          children: [warehousingLogistics,zxbagl]
        }
      ]
    },
    {
      // 涉粮企业管理
      path: '/grainCoManage',
      name: 'index',
      component: index,
      children: [
        {
          path: '/grainCoManage',
          name: 'layout',
          component: layout,
          children: [
            userManage,
            coInfoAudit,
            enterpriseInformationBase,
            acquisitionQualification,
            unitBasicInformationMaintenance,
            enterpriseCredit,
            qyxxck, 
            zygl
          ] 
        } 
      ]
    }
  ]
})
