import qyxxsh from '@/page/jcxxsh1/qyxxsh.vue'
import qyxxAdd from '@/page/jcxxsh1/qyxxAdd.vue'
import ssxxsh from '@/page/jcxxsh1/ssxxsh.vue'
import cfxxsh from '@/page/jcxxsh1/cfxxsh.vue'
import cfxxAdd from '@/page/jcxxsh1/cfxxAdd.vue'
import qcxxsh from '@/page/jcxxsh1/qcxxsh.vue'
import ryxx from '@/page/jcxxsh1/ryxx.vue'
import ryxxAdd from '@/page/jcxxsh1/ryxxAdd.vue'
import yjxx from '@/page/jcxxsh1/yjxx.vue'
import jcxx from '@/page/jcxxsh1/jcxx.vue'
import jcxx0 from '@/page/jcxxsh1/jcxx0.vue'
import jcxx1 from '@/page/jcxxsh1/jcxx1.vue'
import jcxx2 from '@/page/jcxxsh1/jcxx2.vue'
import sbxx from '@/page/jcxxsh1/sbxx.vue'
import cfygbg from '@/page/jcxxsh1/cfygbg.vue'

//油罐
import ygxxList from '@/page/jcxxsh1/ygxxList.vue'
import ygxx from '@/page/jcxxsh1/ygxx.vue'
import ygxxAdd from '@/page/jcxxsh1/ygxxAdd.vue'







function jc(id, title) {
	return {
		// 企业信息列表
		path: '/grainCoManage/coInfo/jcxxsh/jcxx' + id,
		name: 'jcxx',
		component: jcxx,
		meta: {
			title: title
		}
	}
}
export default {
	path: '/grainCoManage/coInfo',
	name: 'coInfo',
	component: {
		render(c) {
			return c('router-view')
		}
	},
	meta: {
		title: '企业信息查看'
	},
	children: [
		{
			path: '/grainCoManage/coInfo/jcxxsh/qyxxsh',
			name: 'qyxxsh',
			component: qyxxsh,
			meta: {
				title: '企业信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/qyxxAdd',
			name: 'qyxxAdd',
			component: qyxxAdd,
			meta: {
				title: '企业信息详情'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/ssxxsh',
			name: 'ssxxsh',
			component: ssxxsh,
			meta: {
				title: '设施信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/cfxxsh',
			name: 'cfxxsh',
			component: cfxxsh,
			meta: {
				title: '仓房信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/cfxxAdd',
			name: 'cfxxAdd',
			component: cfxxAdd,
			meta: {
				title: '仓房信息详情'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/qcxxsh',
			name: 'qcxxsh',
			component: qcxxsh,
			meta: {
				title: '器材信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/ryxxAdd',
			name: 'ryxxAdd',
			component: ryxxAdd,
			meta: {
				title: '人员信息详情'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/ryxx',
			name: 'ryxx',
			component: ryxx,
			meta: {
				title: '人员信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/yjxx',
			name: 'yjxx',
			component: yjxx,
			meta: {
				title: '药剂信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/jcxx0',
			name: 'jcxx0',
			component: jcxx0,
			meta: {
				title: '仓房信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/ygxxList',
			name: 'ygxxList',
			component: ygxxList,
			meta: {
				title: '油罐信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/ygxx',
			name: 'ygxx',
			component: ygxx,
			meta: {
				title: '油罐信息列表'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/ygxxAdd',
			name: 'ygxxAdd',
			component: ygxxAdd,
			meta: {
				title: '油罐信息列表详情'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/jcxx1',
			name: 'jcxx1',
			component: jcxx1,
			meta: {
				title: '人员信息'
			}
		},
		{
			path: '/grainCoManage/coInfo/jcxxsh/jcxx2',
			name: 'jcxx2',
			component: jcxx2,
			meta: {
				title: '药剂信息'
			}
		},
		// jc(0, '仓房信息', 0),
		// jc(1, '人员信息', 1),
		// jc(2, '药剂信息', 2),
		jc(3, '设施信息'),
		jc(4, '设备信息'),
		jc(5, '器材信息'),
		// {
		// 	// 企业信息列表
		// 	path: '/grainCoManage/coInfo/jcxxsh/jcxx',
		// 	name: 'jcxx',
		// 	component: jcxx,
		// 	meta: {
		// 		title: '基础信息'
		// 	}
		// },
		{
			// 企业信息列表
			path: '/grainCoManage/coInfo/jcxxsh/sbxx',
			name: 'sbxx',
			component: sbxx,
			meta: {
				title: '设备信息'
			}
		},
		{
			// 油罐信息变更记录
			path: '/grainCoManage/coInfo/cfygbg/index',
			name: 'cfygbg',
			component: cfygbg,
			meta: {
				title: '仓房/油罐信息变更记录'
			}
		}
	]
}
// 路由配置是的id为角标
// /grainCoManage/coInfo/jcxxsh/jcxx?id=1
// ['cfxxsh', 'ryxx', 'yjxx', 'ssxxsh', 'sbxx', 'qcxxsh']
