import facilitiesSituation from '@/page/grainCoManage/warehousingLogistics/facilitiesSituation/index.vue'
import recordAudit from '@/page/grainCoManage/warehousingLogistics/recordAudit/index.vue'
import fumigation from '@/page/grainCoManage/warehousingLogistics/fumigation/index.vue'
import dynamicFiling from '@/page/grainCoManage/warehousingLogistics/dynamicFiling/index.vue'
import dynamicFilingAudit from '@/page/grainCoManage/warehousingLogistics/dynamicFiling/audit.vue'
import dynamicFilingDetail from '@/page/grainCoManage/warehousingLogistics/dynamicFiling/detail.vue'
import dynamicFilingChange from '@/page/grainCoManage/warehousingLogistics/dynamicFiling/change.vue'
import dynamicFilingShutreg from '@/page/grainCoManage/warehousingLogistics/dynamicFiling/shutreg.vue'
import storageQualificion from '@/page/grainCoManage/warehousingLogistics/storageQualific/index.vue'
import storageQualificiondetails from '@/page/grainCoManage/warehousingLogistics/storageQualific/details.vue'
import coRegPhoto from '@/page/grainCoManage/warehousingLogistics/facilitiesSituation/coRegPhoto/index.vue'
import coRegAudit from '@/page/grainCoManage/warehousingLogistics/facilitiesSituation/coRegAudit/index.vue'
import coRegPhotodetails from '@/page/grainCoManage/warehousingLogistics/facilitiesSituation/coRegPhoto/details.vue'
import coRegAuditdetails from '@/page/grainCoManage/warehousingLogistics/facilitiesSituation/coRegAudit/details.vue'
import recordAuditdetails from '@/page/grainCoManage/warehousingLogistics/recordAudit/details.vue'
export default {
	path: '/warehousingLogistics',
	name: 'warehousingLogistics',
	component: {
		render(c) {
			return c('router-view')
		}
	},
	meta: {
		title: ''
	},
	children: [
		{
			path:
				'/grainCoManage/warehousingLogistics/facilitiesSituation/index',
			name: 'facilitiesSituation',
			component: {
				render(c) {
					return c('router-view')
				}
			},
			meta: {
				title: '仓储物流设施情况'
			},
			children: [
				{
					path:
						'/grainCoManage/warehousingLogistics/facilitiesSituation/coRegPhoto/index',
					name: 'coRegPhoto',
					component: coRegPhoto,
					meta: {
						title: '人员信息'
					}
				},
				{
					path:
						'/grainCoManage/warehousingLogistics/facilitiesSituation/coRegPhoto/details',
					name: 'coRegPhotodetails',
					component: coRegPhotodetails,
					meta: {
						title: '人员信息'
					}
				},
				{
					path:
						'/grainCoManage/warehousingLogistics/facilitiesSituation/coRegAudit/index',
					name: 'coRegAudit',
					component: coRegAudit,
					meta: {
						title: '设备信息'
					}
				},
				{
					path:
						'/grainCoManage/warehousingLogistics/facilitiesSituation/coRegAudit/details',
					name: 'coRegAuditdetails',
					component: coRegAuditdetails,
					meta: {
						title: '设备信息'
					}
				}
			]
		},
		{
			path: '/grainCoManage/warehousingLogistics/recordAudit/index',
			name: 'recordAudit',
			component: recordAudit,
			meta: {
				title: '仓储单位备案审核'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/recordAudit/details',
			name: 'recordAuditdetails',
			component: recordAuditdetails,
			meta: {
				title: '仓储单位备案审核'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/fumigation/index',
			name: 'fumigation',
			component: fumigation,
			meta: {
				title: '熏蒸备案管理'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/dynamicFiling/index',
			name: 'dynamicFiling',
			component: dynamicFiling,
			meta: {
				title: '企业动态备案审核'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/dynamicFiling/audit',
			name: 'dynamicFilingAudit',
			component: dynamicFilingAudit,
			meta: {
				title: '企业动态备案审核'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/dynamicFiling/detail',
			name: 'dynamicFilingDetail',
			component: dynamicFilingDetail,
			meta: {
				title: '企业动态备案详情'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/dynamicFiling/change',
			name: 'dynamicFilingChange',
			component: dynamicFilingChange,
			meta: {
				title: '企业动态备案变更审核'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/dynamicFiling/shutreg',
			name: 'dynamicFilingShutreg',
			component: dynamicFilingShutreg,
			meta: {
				title: '企业动态备案审核'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/storageQualific/index',
			name: 'storageQualificion',
			component: storageQualificion,
			meta: {
				title: '承储资格管理'
			}
		},
		{
			path: '/grainCoManage/warehousingLogistics/storageQualific/details',
			name: 'storageQualificiondetails',
			component: storageQualificiondetails,
			meta: {
				title: '承储资格管理'
			}
		}
	]
}
